Skip to main content
GET
Get Customer

Authorizations

Authorization
string
header
required

Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.

Headers

tenant
string
required

Your tenant identifier. Requests without it are rejected.

Path Parameters

customerId
string
required

The customer id

Pattern: ^customer(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Query Parameters

whenAt
string<date-time>

Optional: the whenAt datetime

simulatedAt
string<date-time>

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

Pattern: ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Response

type
string
required

Type of the customer

id
string
required

Unique identifier for the customer

Pattern: ^customer(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
createdAt
string<date-time>
required

Date and time when the customer was created

lastModifiedAt
string<date-time>
required

Date and time when the customer was last modified

status
enum<string>
required

Status of the customer

Available options:
CUSTOMER_CREATED,
CUSTOMER_CONFIRMED
policies
string[]
required

Policies associated with the customer

Pattern: ^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
role
string
required

Customer business role

paymentMode
enum<string>
required
Available options:
DIRECT_DEBIT,
BANK_TRANSFER
customFields
object[]

custom fields per product

name
string

Optional: Name of the entity

preferredPaymentMethodId
string

Optional: Preferred payment method of the customer

Pattern: ^payment_method(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$